Bug 1265249 - [RFE][glance] DB purge command
Summary: [RFE][glance] DB purge command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Flavio Percoco
QA Contact: Avi Avraham
URL:
Whiteboard:
Depends On:
Blocks: 1249106 1283388 1342299
TreeView+ depends on / blocked
 
Reported: 2015-09-22 13:15 UTC by Martin Magr
Modified: 2016-12-14 15:16 UTC (History)
6 users (show)

Fixed In Version: openstack-glance-13.0.0-0.20160907204321.e822301.el7ost
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:16:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 234747 None None None Never

Description Martin Magr 2015-09-22 13:15:53 UTC
Description of problem:

It is required to have "glance-manage db purge" command according to BP [1] to be able to implement safe database size management in our installers (bz#1249106). Patch for this feauture is ready [3], but upstream planned the feature for M-release.

[1] https://review.openstack.org/#/c/132659/
[2] https://review.openstack.org/#/c/216782/
[3] https://review.openstack.org/#/c/216782/

Comment 1 Martin Magr 2015-09-22 13:17:01 UTC
Correction: [2] https://review.openstack.org/#/c/132659/

Comment 2 Sean Cohen 2015-10-08 13:12:03 UTC
(In reply to Martin Magr from comment #1)
> Correction: [2] https://review.openstack.org/#/c/132659/

Hi Martin,
As non of these patches made it in to Liberty, pushing out at this point
Sean

Comment 3 Flavio Percoco 2015-10-19 12:01:40 UTC
This is the latest spec: https://review.openstack.org/#/c/234747/

Comment 4 Mike McCune 2016-03-28 22:35:49 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 9 Avi Avraham 2016-11-03 13:24:57 UTC
The RFE was verified on the following version 
python-glanceclient-2.5.0-1.el7ost.noarch
python-glance-store-0.18.1-0.20161003180701.4e144bb.el7ost.noarch
openstack-glance-13.0.0-1.el7ost.noarch
The following worming message was got as the command output:
Option "verbose" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1171: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade. according to the development team can be ignored

Comment 11 errata-xmlrpc 2016-12-14 15:16:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.